Mailinglist Archive: opensuse-buildservice (80 mails)

< Previous Next >
Re: [opensuse-buildservice] Ubuntu 18.04 packages under OBS 2.8.2 fail
  • From: Neal Gompa <ngompa13@xxxxxxxxx>
  • Date: Fri, 31 Aug 2018 07:18:46 -0400
  • Message-id: <CAEg-Je-6GRK7nECgDRP9_kuJGnuNU=jaoQXR3_0KT=egtRKO_g@mail.gmail.com>
On Fri, Aug 31, 2018 at 4:36 AM Ralf Becker <rb@xxxxxxxxxxxxxx> wrote:

I try building packages for Ubuntu 18.04 on our (private) OBS 2.8.2
instance:

[ 0s] Using BUILD_ROOT=/var/cache/obs/worker/root_4/.mount
[ 0s] Using BUILD_ARCH=x86_64:i686:i586:i486:i386
[ 0s] Doing kvm build in /var/cache/obs/worker/root_4/root
[ 0s]
[ 0s]
[ 0s] linux started "build egroupware-epl-archive.dsc" at Fri Aug 31
08:04:54 UTC 2018.
[ 0s]
[ 0s] Building egroupware-epl-archive-17.1 for project 'stylite-epl'
repository 'xUbuntu_18.04' arch 'x86_64' srcmd5
'a2b3574b64329975a304462648e95eb5'
[ 0s]
[ 0s] processing recipe
/var/cache/obs/worker/root_4/.build-srcdir/egroupware-epl-archive.dsc ...
[ 0s] running changelog2spec --target debian --file
/var/cache/obs/worker/root_4/.build-srcdir/egroupware-epl-archive.dsc
[ 0s] init_buildsystem --configdir /var/run/obs/worker/4/build/configs
--cachedir /var/cache/build --prepare --clean --rpmlist
/var/cache/obs/worker/root_4/.build.rpmlist
/var/cache/obs/worker/root_4/.build-srcdir/egroupware-epl-archive.dsc build
rpmlint-Factory ...
[ 1s] /var/cache/obs/worker/root_4/.mount/.init_b_cache/rpms/bash.deb:
control.tar.gz is not second ar entry
[ 1s] bad binary: bash.deb
[ 1s]
[ 1s] /var/cache/obs/worker/root_4/.mount/.init_b_cache/rpms/binutils.deb:
control.tar.gz is not second ar entry
[ 1s] bad binary: binutils.deb
[ 1s] exit ...
[ 1s]
[ 1s] linux failed "build egroupware-epl-archive.dsc" at Fri Aug 31
08:04:55 UTC 2018.
[ 1s]

Other targets like Ubuntu 16.04 work as expected and have identical
configuration:

<repository name="xUbuntu_18.04">
<path project="openSUSE.org:Ubuntu:18.04" repository="standard"/>
<path project="openSUSE.org:Ubuntu:18.04" repository="universe"/>
<arch>i586</arch>
<arch>x86_64</arch>
</repository>
<repository name="xUbuntu_16.04">
<path project="openSUSE.org:Ubuntu:16.04" repository="standard"/>
<path project="openSUSE.org:Ubuntu:16.04" repository="universe"/>
<arch>i586</arch>
<arch>x86_64</arch>
</repository>

Any ideas?

Do I need to update OBS 2.8.2 to build Ubuntu 18.04 packages?


OBS 2.9 is required for Ubuntu 18.04 packages.

--
真実はいつも一つ!/ Always, there's only one truth!
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
List Navigation
Follow Ups
References